Subject: bug#13527: 24.2.92; Spawning child process: resource temporarily unavailable

From: "Sebastien Vauban" <[email-masked]>
Date: Tue, 22 Jan 2013 16:21:54 +0100

Hi Eli,

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Date: Tue, 22 Jan 2013 13:55:46 +0100
>>
>> Hello, When saving (really, doing nothing else[1]!) the Org buffer containing my
>> Emacs config file, I get the error:
>>
>>     Spawning child process: resource temporarily unavailable
>>
>> I think I must restart Emacs to get rid of that symptom.
>
> If you can run Emacs under GDB, I can tell you how to get the
> information needed to understand this problem.

Do you mean: launching Emacs from within GDB?  Or simply being able to attach
GDB to a running Emacs?  In the latter case, yes.

So does the first case as well, apparently:

--8<---------------cut here---------------start------------->8---
$ cd Program\ Files\ \(x86\)/emacs-24.2.92/bin
$ gdb runemacs.exe
GNU gdb (GDB) 7.5.50.20120815-cvs (cygwin-special)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-cygwin".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /cygdrive/c/Program Files (x86)/emacs-24.2.92/bin/runemacs.exe...done.
(gdb)
--8<---------------cut here---------------end--------------->8---

So, yes, I'd be interested by how to study this...

Best regards,
  Seb

--
Sebastien Vauban